Last Comment Bug 15085 - POP/IMAP Mail: Reading consecutive messages may cause hung up
: POP/IMAP Mail: Reading consecutive messages may cause hung up
Status: VERIFIED FIXED
:
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: Trunk
: Other Linux
: P3 normal (vote)
: ---
Assigned To: Scott MacGregor
: lchiang
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1999-09-28 11:29 PDT by fenella
Modified: 2008-07-31 01:21 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description fenella 1999-09-28 11:29:10 PDT
Linux (1999-09-28-08 M11)
Steps:
1. Launch messenger
2. Select Inbox folder, read message consecutively.
Actual result: When reading POP, it gets hung up in the second message. Try it
twice.
In IMAP, the first time it got hung up was the 4th message. In the second try,
it got hung up in the 8th message.

This does not occur on Win_nt 4.0

Have not tested Mac yet.
Comment 1 lchiang 1999-09-28 11:37:59 PDT
Fenella - do you wait for each message to finish loading?  Does your console
window display anything when it appears your system is hung?
Comment 2 Phil Peterson 1999-09-28 14:27:59 PDT
Not sure who to start with. Maybe mscott?
Comment 3 Scott MacGregor 1999-09-28 14:42:59 PDT
Funny I should get this bug....because I just did a linux build this afternoon
and I fired it up after it finished and went to read my mail just to have it
hang when selecting the message that turned out to be this bug report.

I'm investigating now....
Comment 4 fenella 1999-09-29 09:40:59 PDT
I did wait for it to load. But
I did wait for it to load even a long time. But it did not help, when it got
hung, the previous message was still displayed.
Comment 5 fenella 1999-09-29 11:35:59 PDT
Mac (1999-09-29-08 M11) mozilla build
This problem also occurs on Mac
Comment 6 fenella 1999-09-30 15:13:59 PDT
Linux (1999-09-29-08 M11)
I have seen deleting consecutive messages also crashes apprunner on Linux.
Comment 7 lchiang 1999-09-30 15:14:59 PDT
That's probably true.  When you delete messages, the next message has to load so
it'll be like reading consecutive messages.
Comment 8 Scott MacGregor 1999-10-03 18:13:59 PDT
The source of this problem may be fixed by my fix for Bug #14680 which is now in
both M10 and the tip. Can one of you re-verify this bug on either build Monday?
(i.e. which ever one you are working with)
Comment 9 fenella 1999-10-06 15:55:59 PDT
Linux (1999-10-06-08 M11)
Win32 91999-10-06-09 M11)
Consecutive read (or delete) does not cause apprunner to hang any more. But on
Win_nt4.0, it still crash appruner on the second Delete.
Comment 10 Scott MacGregor 1999-10-06 15:58:59 PDT
Fenella, can you get me a talk back report for the crash your seeing? Thanks!
Comment 11 fenella 1999-10-06 17:43:59 PDT
Mac (1999-10-06-08 M11)
This problem does not exist on the Mac any more.

Win_nt 4.0 (1999-10-06-09 M11)
Scott, I did more consecutive delete testings on POP/IMAP using other messages,
it did not crash.  The problem I saw may be a unique problem to the message.
I'll file a separate bug for that problem.
Comment 12 fenella 1999-10-06 18:09:59 PDT
Hmmm... I re-migrated the prefs again. Deleting the same two messages does not
cause apprunner to hang.  It must be a corrupted file. So I am not going to
write a bug report for that problem.

Note You need to log in before you can comment on or make changes to this bug.